Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class TriangleTerrain

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Shape3D
                      org.deegree.ogcwebservices.wpvs.j3d.TerrainModel
                          org.deegree.ogcwebservices.wpvs.j3d.TriangleTerrain

    public class TriangleTerrain

extends TerrainModel

The `TriangleTerrain` class respresents the Java3D shape of a set of measurepoints. Before this Terrrain can be drawn the createTerrain method must be invoked, it will create triangles of the given measurepoints and will add the optional texture to the apearance of the Shap3D.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class javax.media.j3d.Shape3D
`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`TriangleTerrain(List<javax.vecmath.Point3d> measurePoints, Envelope env, double minimalHeightlevel, double scale)`

Method Summary
`void` | `createTerrain()` This method implements all the necessary steps to generate a Shape3D Terrain (Elevation model).
`Envelope` | `getBoundingBox()`

Methods inherited from class org.deegree.ogcwebservices.wpvs.j3d.TerrainModel
`getTexture, setTexture, toString`

Methods inherited from class javax.media.j3d.Shape3D
`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriangleTerrain

    public TriangleTerrain(List<javax.vecmath.Point3d> measurePoints,
                           Envelope env,
                           double minimalHeightlevel,
                           double scale)

Parameters:
  `measurePoints` - indicating height values inside this terrain. They will be triangulated in the createTerrain method.
  `env` - the bbox of this triangle terrain.
  `minimalHeightlevel` - which will be used if the measurepoints have no height set.
  `scale` - to multiply onto the z-value of the measurepoints

Method Detail

### getBoundingBox

    public Envelope getBoundingBox()

  Returns:
    the boundingBox of this TriangleTerrain

### createTerrain

    public void createTerrain()

  Description copied from class: `TerrainModel`
  This method implements all the necessary steps to generate a Shape3D Terrain (Elevation model). Before rendering this Class this method should therefor be called prior.

  Specified by:
    `createTerrain` in class `TerrainModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org